.TH HTML_ANALYZER  1 "Version 0.10"
.SH NAME
html_analyzer - assist in the maintenance of HyperText MarkUp Language (HTML) databases.
.SH SYNOPSIS
.B html_analyzer
[-\fI-val\fP] [\fI-com\fP] [\fI-con\fP] directory [path of repository]
.SH DESCRIPTION
The 
.I html_analyzer
assist in the maintenance of HyperText MarkUp Language (HTML) databases. As the number of HTML databases increases,
the potential for hyperlinks that point to files or servers that no longer exist also increases. This results in 
the need for an automated hyperlink validation program. This is exactly what the html_analyzer does. The program
also explores the relationship between hyperlinks and the contents of the hyperlink. 
.SH OPTIONS
.PP
.TP 8
.B \-val \fIvalidation\fP
This option turns off the validation test.
.TP 8
.B \-com \fIcompleteness\fP
This option turns off the validation test.
.TP 8
.B \-mon \fIconsistency\fP
This option turns off the consistency test.
.SH EXAMPLES
.PP
Here is a simple example using
.I html_analyzer 
.PP
.TP 8
.P
html_analyzer . swap_dir
.PP
The
.B -val
,
.B -com
, and
.B -con
turn off the validation, completeness, and consistency tests.
Only the name of a directory can be specified to check. If a directory is
specified, all *.html files within the directory hierarchy will be processed. The path
of the temporary repository (default is /var/tmp) can be used if /var/tmp is full or not
desirable. A directory (/html_analyzer) is created in this directory to store the
temporary files generated by execution. The program does not create the
temporary repository. 
.SH COPYRIGHT NOTICE
The libwww-2.09a directory is the modified WWW library that accompanies
xmosaic-pre4. The libhtmlw directory is also from the prerelease. Mosaic was
developed by Marc Anderson at the National Center for Super-Computing
Applications. 
The original WWWLibrary_2.09a library was developed by Tim Berners-Lee at the
European Laboratory for Particle Physics (CERN). 
.PP
Please see shipped Copyrights file
for more information on the copyrights that exist to these portions of code.
.PP
The Regents of the University of Colorado claim copyright on the other portions of
the distribution. 
.PP
This distribution of the software may be freely distributed, used, and modified but
may not be sold as a whole nor in parts without permission of the copyright owners
of the parts. 
.SH AUTHOR
James E. Pitkow 
.br
pitkow@cc.gatech.edu
.SH MAN AUTHOR
David Brown
.br
brownd@csc.liv.ac.uk
