/******************************************************************************
   FILE:
      skiplist_genlevel.c

   DESCRIPTION:
      Generates level between 0 and Max_level using the random number
      generator and the probability passed in.

   RETURN VALUES:
      0 <= level <= MAX_LEVEL.  Recall MAX_LEVEL = MAX_HEIGHT - 1. 

   PRE-CONDITIONS:
      Valid probability.

   POST-CONDITIONS:
      None.

   SIDE EFFECTS:
      None.

   DEVELOPED BY:                                 DATE:
      James E. Pitkow                               July 30, 1993
      Undergraduate Research Assistant
      Laboratory for Atmospheric and Space Physics
      Campus Box 590
      Boulder, CO 80309 USA
      pitkow@aries.colorado.edu

   COPYRIGHT:
      The Regents of the University of Colorado, 1993

******************************************************************************/

#include "skiplist.h"

#ifndef lint
    static char *RCSid = "$Header: /users/as-csap/pitkow/tar/cs2250/tk3/RCS/skiplist_genlevel.c,v 1.4 1992/03/03 05:10:58 pitkow Exp $";
#endif

unsigned short skiplist_genlevel( prob )
float prob;                        /* probability of new level beign assigned */
{
    int    level;                  /* starting level of skiplist      */
    
    level = 0;
    while ( rand() < ( prob * 2147483647 ) && level < MAX_LEVEL )
        level++;
    return( level );
}
