/*		Configuration-specific Initialialization	HTInit.c
**		----------------------------------------
*/

/*	Define a basic set of suffixes and presentations
**	------------------------------------------------
*/

/* Implements:
*/
#include "HTInit.h"

#include "HTML.h"
#include "HTPlain.h"
#include "HTMosaicHTML.h"
#include "HTMLGen.h"
#include "HTFile.h"
#include "HTFormat.h"
#include "HTMIME.h"
#include "HTWSRC.h"

PUBLIC void HTFormatInit NOARGS
{
  HTSetPresentation("application/postscript", "ghostview %s",	1.0, 3.0, 0.0);
  HTSetPresentation("audio/basic",            "showaudio %s", 1.0, 3.0, 0.0);
  HTSetPresentation("audio/x-aiff",           "sfplay %s", 1.0, 3.0, 0.0);
  HTSetPresentation("image/gif", 	      "xv %s", 	1.0, 3.0, 0.0);
  HTSetPresentation("image/x-tiff", 	      "xv %s", 	1.0, 3.0, 0.0);
  HTSetPresentation("image/jpeg", 	      "xv %s", 	1.0, 3.0, 0.0);
  HTSetPresentation("image/x-rgb", 	      "xv %s", 	1.0, 3.0, 0.0);
  HTSetPresentation("video/mpeg",             "mpeg_play %s", 1.0, 3.0, 0.0);
  HTSetPresentation("application/x-dvi",      "xdvi %s", 1.0, 3.0, 0.0);
  HTSetPresentation("image/x-xwd", 	      "xwud -in %s", 	1.0, 3.0, 0.0);
  HTSetPresentation("message/rfc822", 	      "xterm -e metamail %s", 	1.0, 3.0, 0.0);
  HTSetPresentation("application/x-hdf",      "mosaic-internal-reference", 
                    1.0, 3.0, 0.0);
  HTSetPresentation("application/x-netcdf",   "mosaic-internal-reference", 
                    1.0, 3.0, 0.0);
  HTSetPresentation("mosaic/dummy",           "lose",    1.0, 3.0, 0.0);
  /* ... */

  HTSetConversion("www/mime",  "*",  	     HTMIMEConvert, 	1.0, 0.0, 0.0);
  HTSetConversion
    ("application/x-wais-source", "*", HTWSRCConvert, 1.0, 0.0, 0.0);
  HTSetConversion("text/html", "text/plain",  HTMLToPlain, 	0.5, 0.0, 0.0);
  HTSetConversion("text/html", "www/present", HTMosaicHTMLPresent, 1.0, 0.0, 0.0);
  HTSetConversion("text/plain", "text/html",  HTPlainToHTML,	1.0, 0.0, 0.0);
  HTSetConversion("text/plain", "www/present", HTPlainPresent,	1.0, 0.0, 0.0);
}



/*	Define a basic set of suffixes
**	------------------------------
**
**	The LAST suffix for a type is that used for temporary files
**	of that type.
**	The quality is an apriori bias as to whether the file should be
**	used.  Not that different suffixes can be used to represent files
**	which are of the same format but are originals or regenerated,
**	with different values.
*/

PUBLIC void HTFileInit NOARGS
{
  HTSetSuffix(".MIME", "message/rfc822", "8bit", 1.0);
  HTSetSuffix(".mime", "message/rfc822", "8bit", 1.0);
      
  HTSetSuffix(".PS",	"application/postscript", "8bit", 0.8);
  HTSetSuffix(".ps",	"application/postscript", "8bit", 0.8);
  
  HTSetSuffix(".HTML","text/html", "8bit", 1.0);
  HTSetSuffix(".html","text/html", "8bit", 1.0);
  
  HTSetSuffix(".c",	"text/plain", "8bit", 0.5);
  HTSetSuffix(".cc",	"text/plain", "8bit", 0.5);
  HTSetSuffix(".c++",	"text/plain", "8bit", 0.5);
  HTSetSuffix(".C",	"text/plain", "8bit", 0.5);
  HTSetSuffix(".h",	"text/plain", "8bit", 0.5);
  HTSetSuffix(".H",	"text/plain", "8bit", 0.5);
  HTSetSuffix(".TEXT",  "text/plain", "8bit", 0.5);
  HTSetSuffix(".text",  "text/plain", "8bit", 0.5);
  HTSetSuffix(".TEX",  "text/plain", "8bit", 0.5);
  HTSetSuffix(".tex",  "text/plain", "8bit", 0.5);
  HTSetSuffix(".pl",  "text/plain", "8bit", 0.5);
  HTSetSuffix(".TXT",   "text/plain", "8bit", 0.5);
  HTSetSuffix(".txt",   "text/plain", "8bit", 0.5);

  HTSetSuffix(".SND", "audio/basic", "binary", 1.0);
  HTSetSuffix(".snd", "audio/basic", "binary", 1.0);
  HTSetSuffix(".AU", "audio/basic", "binary", 1.0);
  HTSetSuffix(".au", "audio/basic", "binary", 1.0);
  HTSetSuffix(".AIFF", "audio/x-aiff", "binary", 1.0);
  HTSetSuffix(".aiff", "audio/x-aiff", "binary", 1.0);
  HTSetSuffix(".AIFC", "audio/x-aiff", "binary", 1.0);
  HTSetSuffix(".aifc", "audio/x-aiff", "binary", 1.0);
    
  HTSetSuffix(".TAR",	"application/octet-stream", "binary", 1.0);
  HTSetSuffix(".tar",	"application/octet-stream", "binary", 1.0);
  HTSetSuffix(".UU",	"application/octet-stream", "binary", 1.0);
  HTSetSuffix(".uu",	"application/octet-stream", "binary", 1.0);
  HTSetSuffix(".saveme",	"application/octet-stream", "binary", 1.0);
  HTSetSuffix(".dump",	"application/octet-stream", "binary", 1.0);
  HTSetSuffix(".BIN",	"application/octet-stream", "binary", 1.0);
  HTSetSuffix(".bin",	"application/octet-stream", "binary", 1.0);

  HTSetSuffix(".Z",	"application/x-compressed", "binary", 1.0);
  HTSetSuffix(".gz",	"application/x-gzipped", "binary", 1.0);
  HTSetSuffix(".z",	"application/x-gzipped", "binary", 1.0);
    
  HTSetSuffix(".GIF", "image/gif", "binary", 1.0);
  HTSetSuffix(".gif", "image/gif", "binary", 1.0);
  
  HTSetSuffix(".TIF","image/x-tiff", "binary", 1.0);
  HTSetSuffix(".tif","image/x-tiff", "binary", 1.0);
  HTSetSuffix(".TIFF","image/x-tiff", "binary", 1.0);
  HTSetSuffix(".tiff","image/x-tiff", "binary", 1.0);
    
  HTSetSuffix(".JPG", "image/jpeg", "binary", 1.0);
  HTSetSuffix(".jpg", "image/jpeg", "binary", 1.0);
  HTSetSuffix(".JPEG","image/jpeg", "binary", 1.0);
  HTSetSuffix(".jpeg","image/jpeg", "binary", 1.0);
  
  HTSetSuffix(".MPG","video/mpeg", "binary", 1.0);
  HTSetSuffix(".mpg","video/mpeg", "binary", 1.0);
  HTSetSuffix(".MPEG","video/mpeg", "binary", 1.0);
  HTSetSuffix(".mpeg","video/mpeg", "binary", 1.0);

  HTSetSuffix(".HDF","application/x-hdf", "binary", 1.0);
  HTSetSuffix(".hdf","application/x-hdf", "binary", 1.0);
  HTSetSuffix(".CDF","application/x-netcdf", "binary", 1.0);
  HTSetSuffix(".cdf","application/x-netcdf", "binary", 1.0);
  HTSetSuffix(".NC","application/x-netcdf", "binary", 1.0);
  HTSetSuffix(".nc","application/x-netcdf", "binary", 1.0);

  HTSetSuffix(".DVI","application/x-dvi", "binary", 1.0);
  HTSetSuffix(".dvi","application/x-dvi", "binary", 1.0);

  HTSetSuffix(".XWD", "image/x-xwd", "binary", 1.0);
  HTSetSuffix(".xwd", "image/x-xwd", "binary", 1.0);

  HTSetSuffix(".RGB", "image/x-rgb", "binary", 1.0);
  HTSetSuffix(".rgb", "image/x-rgb", "binary", 1.0);
  
  HTSetSuffix(".RTF",	"application/x-rtf", "8bit", 1.0);
  HTSetSuffix(".rtf",	"application/x-rtf", "8bit", 1.0);
  
  HTSetSuffix(".PDF",	"application/x-pdf", "8bit", 1.0);
  HTSetSuffix(".pdf",	"application/x-pdf", "8bit", 1.0);
  
  HTSetSuffix(".SRC",	"application/x-wais-source", "8bit", 1.0);
  HTSetSuffix(".src",	"application/x-wais-source", "8bit", 1.0);
}
